/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Mar-31-2012 06:03:43pm
Filepath: scripts\events and scenarios\Long Live the King 2012\Britain Undead Invasions\Items\MelissasCloak.cs
Lines of code: 30

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	[Flipable( 5397, 5424 )]
	public class MelissasCloak : BaseCloak
	{
		public override int LabelNumber{ get{ return 1080524; } } // Melissa's Cloak

		[Constructable]
		public MelissasCloak() : base( 5397, 5424 )
		{
			Weight = 5.0;
			Hue = 1175;
			Resistances.Fire=5;
		}

		public MelissasCloak( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}